export function createPlaceholder(component, label = '') {
  if (component.includes('Input') || component.includes('Complete')) {
    return `请输入${label}`
  }
  const chooseTypes = ['Select', 'Cascader', 'TimePicker', 'DatePicker', 'TimeSelect', 'Checkbox', 'CheckboxGroup', 'RadioGroup', 'Switch', 'TreeSelect']
  if (chooseTypes.includes(component)) {
    return `请选择${label}`
  }
  return ''
}
