export default {
  name: 'ZkSvgIcon',
  props: {
    iconClass: {
      type: String,
      require: true,
      default: '',
    },
  },
  computed: {
    iconName() {
      return `#icon-${this.iconClass}`
    },
  },
  render() {
    return (
      <svg class='svg-icon' aria-hidden='true'>
        <use xlink:href={this.iconName}></use>
      </svg>
    )
  },
}
