import { Tooltip } from 'element-ui'

export default {
  inject: ['table'],
  methods: {
    refreshTable() {
      this.table.reloadData(true)
    },
  },
  render() {
    return (
      <Tooltip placement='top' content='刷新'>
        <i class='zk-icon el-icon-refresh' onClick={this.refreshTable}></i>
      </Tooltip>
    )
  },
}
