import UploadView from './upload-view'
const UploadProps = {
  ...UploadView.extends.props,
}

export default {
  name: 'ZkUpload',
  props: UploadProps,
  render() {
    const renderDefaultSlot = () => {
      let defaultSlot
      if (this.$slots.default) {
        defaultSlot = this.$slots.default
      } else {
        if (this.listType === 'text' || this.listType === 'picture') {
          defaultSlot = (
            <el-button size='small' type='primary'>
              选择文件
            </el-button>
          )
        } else {
          defaultSlot = <i class='el-icon-plus'></i>
        }
      }
      return defaultSlot
    }
    // todo: 做成和业务强关联的组件
    return (
      <UploadView
        {...{
          props: this.$props,
        }}>
        {renderDefaultSlot()}
      </UploadView>
    )
  },
}
